<?php
// AShop
// Copyright 2011 - AShop Software - http://www.ashopsoftware.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see: http://www.gnu.org/licenses/.

include "config.inc.php";
if (!function_exists(ashop_mailsafe)) include "ashopfunc.inc.php";

// Validate product ID...
$productid = $_GET["productid"];
if (!$productid) {
	$productid = $_GET["placebid"];
	$bidder = $_GET["bidder"];
	if ($productid && $bidder && is_numeric($productid) && is_numeric($bidder)) $placebid = TRUE;
	else $placebid = FALSE;
} else $placebid = FALSE;
if ($productid && !is_numeric($productid)) exit;

// Open database...
$errorcheck = ashop_opendatabase();
if ($errorcheck) $error = $errorcheck;

// Get product information...
$result = @mysql_query("SELECT * FROM floatingprice WHERE productid='$productid'",$db);
$row = @mysql_fetch_array($result);
$starttime = $row["starttime"];
$activatetime = $row["activatetime"];
$endprice = $row["endprice"];
$startprice = $row["startprice"];
$priceincrement = $row["priceincrement"];
$length = $row["length"];
$bids = $row["bids"];
$bidderid = $row["bidderid"];
$auctiontype = $row["type"];
if ($starttime && (time() >= ($starttime+$length))) {
	$placebid = FALSE;
	if (!$endprice) {
		// Calculate the current bidding price...
		$currentprice = number_format($startprice + ($priceincrement*$bids),2,'.','');
		$winningprice = $currentprice;
		$productresult = @mysql_query("SELECT * FROM product WHERE productid='$productid'",$db);
		@mysql_query("UPDATE floatingprice SET startprice=originalstartprice, endprice='$currentprice' WHERE productid='$productid'",$db);
		@mysql_query("UPDATE product SET price='$currentprice' WHERE productid='$productid'",$db);

		// Check if we have the winner's email on file...
		$winnerresult = @mysql_query("SELECT customerid FROM pricebidder WHERE bidderid='$bidderid'",$db);
		$winnerid = @mysql_result($winnerresult,0,"customerid");
		$customerresult = @mysql_query("SELECT * FROM customer WHERE customerid='$winnerid'",$db);
		$customerrow = @mysql_fetch_array($customerresult);
		$firstname = $customerrow["firstname"];
		$lastname = $customerrow["lastname"];
		$email = $customerrow["email"];

		// Contact the winner by email...
		if ($email) {
			$productname = @mysql_result($productresult,0,"name");
			$producturl = @mysql_result($productresult,0,"detailsurl");
			$productowner = @mysql_result($productresult,0,"userid");
			// Include language file...
			if (!isset($lang) || !preg_match("/[a-z]+/", $lang) || strlen($lang) > 2) $lang = $defaultlanguage;
			include "../language/$lang/bidregister.inc.php";
			$messagefile = "";
			$messagetemplate = "";
			if (file_exists("$ashoppath/templates/messages/winningbidmessage-$lang.html")) $messagefile = "$ashoppath/templates/messages/winningbidmessage-$lang.html";
			else if (file_exists("$ashoppath/templates/messages/winningbidmessage.html")) $messagefile = "$ashoppath/templates/messages/winningbidmessage.html";
			if (!empty($messagefile)) {
				$fp = @fopen("$messagefile","r");
				if ($fp) {
					while (!feof ($fp)) $messagetemplate .= fgets($fp, 4096);
					fclose($fp);
				}
				if (!empty($messagetemplate)) {
					$date = date("Y-m-d H:i:s", time()+$timezoneoffset);
					$currentprice = $currencysymbols[$ashopcurrency]["pre"].$currentprice.$currencysymbols[$ashopcurrency]["post"];
					$message = str_replace("%ashopname%",$ashopname,$messagetemplate);
					if (!empty($producturl)) $message = str_replace("%itemurl%",$producturl,$message);
					else $message = str_replace("%itemurl%","$ashopurl/product.php?product=$productid",$message);
					$message = str_replace("%firstname%",$firstname,$message);
					$message = str_replace("%lastname%",$lastname,$message);
					$message = str_replace("%email%",$email,$message);
					$message = str_replace("%date%",$date,$message);
					$message = str_replace("%winningbid%",$currentprice,$message);
					$message = str_replace("%itemname%",$productname,$message);
					$headers = "From: ".un_html($ashopname)."<$ashopemail>\nX-Sender: <$ashopemail>\nX-Mailer: PHP\nX-Priority: 3\nReturn-Path: <$ashopemail>\nMIME-Version: 1.0\nContent-Type: text/html; charset=iso-8859-1\n";
					@ashop_mail("$email",un_html($ashopname)." ".WINNINGBIDSUBJECT,"$message","$headers");

					// The customer has been informed, it is safe to hide the product...
					@mysql_query("UPDATE product SET active='0' WHERE productid='$productid'",$db);
				}
			}
			// Create and send an invoice...
			if ($auctiontype == "standard" && file_exists("$ashoppath/emerchant/quote.php")) {
				// Create product string...
				$products = "1b{$productid}a";

				// Get shipping and handling cost...
				$customerid = $winnerid;
				$productshipping = @mysql_result($productresult,0,"shipping");
				$producttaxable = @mysql_result($productresult,0,"taxable");
				if ($productshipping || $producttaxable) $calculateshipping = TRUE;
				else $calculateshipping = FALSE;
				if($calculateshipping) {
					$shippingresult = @mysql_query("SELECT * FROM shipping WHERE customerid='$winnerid'",$db);
					if (@mysql_num_rows($shippingresult)) {
						$shippingrow = @mysql_fetch_array($shippingresult);
						$customerid = $shippingrow["shippingid"];
						$shippingfirstname = $shippingrow["shippingfirstname"];
						$shippinglastname = $shippingrow["shippinglastname"];
						$shippingaddress = $shippingrow["shippingaddress"];
						$shippingcity = $shippingrow["shippingcity"];
						$shippingzip = $shippingrow["shippingzip"];
						$shippingcountry = $shippingrow["shippingcountry"];
						$shippingstate = $shippingrow["shippingstate"];
					}
					if (!$shippingfirstname || !$shippinglastname || !$shippingaddress || !$shippingzip || !$shippingcity || !$shippingcountry) {
						$shippingfirstname = $customerrow["firstname"];
						$shippinglastname = $customerrow["lastname"];
						$shippingaddress = $customerrow["address"];
						$shippingcity = $customerrow["city"];
						$shippingzip = $customerrow["zip"];
						$shippingcountry = $customerrow["country"];
						$shippingstate = $customerrow["state"];
					}
					$querystring = "quote=$products&destfirstname={$shippingfirstname}&destlastname={$shippinglastname}&destaddress={$shippingaddress}&destcity={$shippingcity}&destzip={$shippingzip}&destcntry={$shippingcountry}&deststate={$shippingstate}";
					if (strpos($ashopurl, "/", 8)) {
						$urlpath = "/".substr($ashopurl, strpos($ashopurl, "/", 8)+1);
						$urldomain = substr($ashopurl, 0, strpos($ashopurl, "/", 8));
					} else {
						$urlpath = "/";
						$urldomain = $ashopurl;
					}
					if ($urlpath == "/") $scriptpath = "shipping.php";
					else $scriptpath = "/shipping.php";
					$urldomain = str_replace("http://", "", $urldomain);
					$postheader = "POST $urlpath$scriptpath HTTP/1.0\r\nHost: $urldomain\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: ".strlen ($querystring)."\r\n\r\n";
					$fp = @fsockopen ($urldomain, 80, $errno, $errstr, 10);
					if ($fp) {
						fputs ($fp, $postheader.$querystring);
						unset($res);
						while (!feof($fp)) $res .= fgets ($fp, 1024);
						fclose ($fp);
						$handlingcostarray = explode("\n",$res);
						$handlingcoststring = $handlingcostarray[count($handlingcostarray)-1];
					}
					if ($handlingcoststring) $handlingcosts = ashop_gethandlingcost($handlingcoststring);
					$thisshipping = $handlingcosts["shipping"];
					$thissalestax = $handlingcosts["salestax"];
					$totalcost = $winningprice+$thisshipping+$thissalestax;
				} else $totalcost = $winningprice;

				// Calculate due date...
				$result = @mysql_query("SELECT * FROM emerchant_configuration WHERE confname='defaultduedays'",$db);
				$defaultduedays = @mysql_result($result,0,"confvalue");
				$duedatetimestamp = time();
				$duedatetimestamp += $defaultduedays*86400;
				$duedate = date("Y-m-d", $duedatetimestamp+$timezoneoffset);

				// Set bill date to today...
				$billdate = date("Y-m-d", time()+$timezoneoffset);

				// Add orders row...
				$result = @mysql_query("INSERT INTO orders (userid, customerid, products, productprices, price, ip, billdate, duedate, affiliateid) VALUES ('|{$productowner}|','{$customerid}','$products$handlingcoststring','{$productid}:{$winningprice}','$totalcost','{$_SERVER["REMOTE_ADDR"]}', '$billdate', '$duedate', '$affiliate')",$db);
				$orderid = @mysql_insert_id();

				// Add invoice row...
				@mysql_query("INSERT INTO emerchant_tempinvoices (orderid, products, productprices, itemorder, price, shipping) VALUES ('$orderid','$products','{$productid}:{$winningprice}','p','$totalcost','$thisshipping')",$db);

				// Set the md5 key for order processing...
				$adminkey = md5("$databasepasswd$ashoppath"."prelcomplete");

				// Post to order.php to process and send the invoice...
				$querystring = "email={$customerrow["email"]}&firstname={$customerrow["firstname"]}&lastname={$customerrow["lastname"]}&address={$customerrow["address"]}&city={$customerrow["city"]}&zip={$customerrow["zip"]}&state={$customerrow["state"]}&country={$customerrow["country"]}&phone={$customerrow["phone"]}&invoice=$orderid&adminkey=$adminkey&amount=$totalcost&products=0ashoporderstring{$products}{$handlingcoststring}&orderreference=au$orderid&emerchantquote=$orderid&quoteprices={$productid}:{$winningprice}";
				if (strpos($ashopurl, "/", 8)) {
					$urlpath = "/".substr($ashopurl, strpos($ashopurl, "/", 8)+1);
					$urldomain = substr($ashopurl, 0, strpos($ashopurl, "/", 8));
				} else {
					$urlpath = "/";
					$urldomain = $ashopurl;
				}
				if ($urlpath == "/") $scriptpath = "order.php";
				else $scriptpath = "/order.php";
				$urldomain = str_replace("http://", "", $urldomain);
				$postheader = "POST $urlpath$scriptpath HTTP/1.0\r\nHost: $urldomain\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: ".strlen ($querystring)."\r\n\r\n";
				unset($res);
				$fp = fsockopen ("$urldomain", 80);
				if ($fp) {
					$response = fwrite ($fp, $postheader . $querystring);
					while (!feof($fp)) $res .= fgets ($fp, 1024);
					fclose ($fp);
				}
				@mysql_query("UPDATE orders SET source='Auction' WHERE orderid='$orderid'",$db);
				@mysql_query("UPDATE memberorders SET auction='1' WHERE orderid='$orderid'",$ub_db);
			}
		}
	}
}

// Send countdown timer information...
if ($placebid) {
	// Check if there are any bids left for this bidder...
	$bidderresult = @mysql_query("SELECT * FROM pricebidder WHERE bidderid='$bidder'",$db);
	$bidderrow = @mysql_fetch_array($bidderresult);
	$numberofbids = $bidderrow["numberofbids"];
	if ($numberofbids > 0) {
		$numberofbids = $numberofbids - 1;
		$screenname = $bidderrow["screenname"];
		@mysql_query("UPDATE pricebidder SET numberofbids='$numberofbids' WHERE bidderid='$bidder'",$db);

		// Increase number of bids for this product and reset timer...
		$bids++;
		$starttime = time()+1;
		$bidderid = $bidder;
		@mysql_query("UPDATE floatingprice SET starttime='$starttime', bids='$bids', bidderid='$bidder' WHERE productid='$productid'",$db);
	}
}

// Get screen name of current bidder...
if (!$screenname) {
	$bidderresult = @mysql_query("SELECT * FROM pricebidder WHERE bidderid='$bidderid'",$db);
	$bidderrow = @mysql_fetch_array($bidderresult);
	$screenname = $bidderrow["screenname"];
	if ($endprice) {
		// Include language file...
		if (!isset($lang) || !preg_match("/[a-z]+/", $lang) || strlen($lang) > 2) $lang = $defaultlanguage;
		include "../language/$lang/bidregister.inc.php";
		$screenname = "won-$screenname";
	}
	$numberofbids = $bidderror["numberofbids"];
}

// Calculate the current bidding price...
if ($endprice) $currentprice = $endprice;
else $currentprice = number_format($startprice + ($priceincrement*$bids),2,'.','');

@mysql_close($db);

header('Content-type: text/plain');
echo "$productid|$starttime|$length|$currentprice|$bidderid|$screenname|$activatetime";

/* Output XML document...
header('Content-type: text/xml');
echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?> 
	<ajax-response>
		<response type=\"object\" id=\"productTimer\">
			<timerProductID>$productid</timerProductID>
			<timerStarttime>$starttime</timerStarttime>
			<timerLength>$length</timerLength>
			<Price>$currentprice</Price>
			<bidderID>$bidderid</bidderID>
			<bidderScreenname>$screenname</bidderScreenname>
		</response>
	</ajax-response>";*/
?>